#ifndef LOGTHREAD_H
#define LOGTHREAD_H

#include <QThread>
#include <QStringList>
#include <QDate>
#include <QDir>
#include <QFile>

class LogThread : public QThread
{
    Q_OBJECT
public:
    explicit LogThread(QObject *parent = nullptr);
    void appendData(QString data);
    void run();

signals:

public slots:
private:
    QFile *file;
    QStringList dataList;
    int day;
};

#endif // LOGTHREAD_H
